Security update for gimp

SUSE Security Update: Security update for gimp
Announcement ID: SUSE-SU-2017:0945-1
Rating: moderate
References: #1025717 #1032241
Affected Products:
  • SUSE Linux Enterprise Workstation Extension 12-SP2
  • SUSE Linux Enterprise Software Development Kit 12-SP2
  • SUSE Linux Enterprise Desktop 12-SP2

  • An update that solves one vulnerability and has one errata is now available.

    Description:


    This update for gimp fixes the following issues:

    This security issue was fixed:

    - CVE-2007-3126: Context-dependent attackers were able to cause a denial
    of service via an ICO file with an InfoHeader containing a Height of
    zero (bsc#1032241).

    These non-security issues were fixed:

    - bsc#1025717: Prefer lcms2 over lcms1 if both are available
    - bgo#593576: Preven crash in PDF Import filter when importing large image
    PDF or specifying high resolution

    Patch Instructions:

    To install this SUSE Security Update use YaST online_update.
    Alternatively you can run the command listed for your product:

    • SUSE Linux Enterprise Workstation Extension 12-SP2:
      zypper in -t patch SUSE-SLE-WE-12-SP2-2017-545=1
    • SUSE Linux Enterprise Software Development Kit 12-SP2:
      zypper in -t patch SUSE-SLE-SDK-12-SP2-2017-545=1
    • SUSE Linux Enterprise Desktop 12-SP2:
      zypper in -t patch SUSE-SLE-DESKTOP-12-SP2-2017-545=1

    To bring your system up-to-date, use "zypper patch".

    Package List:

    • SUSE Linux Enterprise Workstation Extension 12-SP2 (noarch):
      • gimp-lang-2.8.18-8.1
    • SUSE Linux Enterprise Workstation Extension 12-SP2 (x86_64):
      • gimp-2.8.18-8.1
      • gimp-debuginfo-2.8.18-8.1
      • gimp-debugsource-2.8.18-8.1
      • gimp-plugins-python-2.8.18-8.1
      • gimp-plugins-python-debuginfo-2.8.18-8.1
      • libgimp-2_0-0-2.8.18-8.1
      • libgimp-2_0-0-debuginfo-2.8.18-8.1
      • libgimpui-2_0-0-2.8.18-8.1
      • libgimpui-2_0-0-debuginfo-2.8.18-8.1
    • SUSE Linux Enterprise Software Development Kit 12-SP2 (aarch64 ppc64le s390x x86_64):
      • gimp-debuginfo-2.8.18-8.1
      • gimp-debugsource-2.8.18-8.1
      • gimp-devel-2.8.18-8.1
      • gimp-devel-debuginfo-2.8.18-8.1
      • libgimp-2_0-0-2.8.18-8.1
      • libgimp-2_0-0-debuginfo-2.8.18-8.1
      • libgimpui-2_0-0-2.8.18-8.1
      • libgimpui-2_0-0-debuginfo-2.8.18-8.1
    • SUSE Linux Enterprise Desktop 12-SP2 (x86_64):
      • gimp-2.8.18-8.1
      • gimp-debuginfo-2.8.18-8.1
      • gimp-debugsource-2.8.18-8.1
      • gimp-plugins-python-2.8.18-8.1
      • gimp-plugins-python-debuginfo-2.8.18-8.1
      • libgimp-2_0-0-2.8.18-8.1
      • libgimp-2_0-0-debuginfo-2.8.18-8.1
      • libgimpui-2_0-0-2.8.18-8.1
      • libgimpui-2_0-0-debuginfo-2.8.18-8.1
    • SUSE Linux Enterprise Desktop 12-SP2 (noarch):
      • gimp-lang-2.8.18-8.1

    References: